using FileHandlers;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using SqlSugar;

namespace FileStorage.Host.Controllers
{
    [ApiController]
    [Route("weather")]
    public class WeatherForecastController : ControllerBase
    {
        private readonly ILogger<WeatherForecastController> _logger;
        private readonly IFileStorage _fileStorage;

        public WeatherForecastController(ILogger<WeatherForecastController> logger,IFileStorage fileStorage)
        {
            _logger = logger;
            _fileStorage = fileStorage;
        }

        [HttpPost("upload")]
        public IActionResult Upload()
        {
            var fileData = Request.Form.Files[0];
            var file = _fileStorage.Upload(fileData.FileName, fileData.Length, "", fileData.OpenReadStream());
            return Ok(new { Id = file.Id, fileName = file.FileName });
        }
    }
}